* This file is part of aITALC
* Copyright (C) 2004 Alejandro Lorca <alejandro.lorca@desy.de>
*------------------------------------------------------------- 
** Kit.inc: File with FORM3 definitions to run the KitFORM3 procedures.
** begun on 10/02/03

symbol D,[D-4];
dimension D;

**Functions that appear related with gamma algebra
** Ident is conmutative, but it's safer to play with it
** in the same footing nature as gamma5 and omega.

NF ident,gamma,gamma5,Left,Right,omega,g1,g5,Gb,Gc;
CF transv,longit;
CF eps,den,matrixe,Matrixe,Eps(a),Delta(s);
NF defgam,defgamad,gam,gamad;
S l,r;

** Denominators and fractions
auto S a,b,c,d,cxi,o,z;
S a,b,c,d;


** Mandelstan and coordinates
S S,T,U,EMPTY;
S sman,tman,uman,
#do i1=1,5
 #do i2={`i1'+1},5
  p`i1'`i2'man,
 #enddo
#enddo
s,t,u,x,y,z;

** Some useful symbols
S sg,im,Pi;
S line,line1,line2,line3;
I iline,iline1,iline2,iline3;
S factor,name,zero;

** Momenta squared and momenta difference squared
S k1s,k2s,k3s,k4s,k5s,
  k12s,k13s,k14s,k15s,k23s,k24s,k25s,k34s,k35s,k45s;
CF Mom;

** Used in integration, following LoopTools convention
CF A0i,A0,B0i,B0,B1,B00,B11,DB0,DB1,DB00,DB11,C0i,D0i,E0i;
CF D0,D11,D12,D13,D21,D22,D23,D24,D25,D26,D27;

auto S aa,bb,cc,dd,ee,ff;
auto S MM,PP,QQ;

S loopnorma,derivative;
CF acc,dummy,dummy3,dummy6,dummy10;

CF BM,CM,CMN,CMNR,DM,DMN,DMNR,DMNRS;

auto CF T,DT,KeepT,IGram;
CF Targ;
S [Gram2],[Gram3],[Gram4];
