#procedure chisholm()

* This file is part of aITALC
* Copyright (C) 2004 Alejandro Lorca <alejandro.lorca@desy.de>
*------------------------------------------------------------- 
** Convert all gamma matrices chains that are contracted by
** their dimensional value

** Begun on, 05/02/03

.sort

repeat;

id gamma(line?,mu0?index_)*gamma(line?,mu0?index_)=4+[D-4];

id gamma(line?,mu0?index_)*gamma(line?,mu1?)*gamma(line?,mu0?index_)=
 -(2+[D-4])*gamma(line,mu1);

id gamma(line?,mu0?index_)*gamma(line?,mu1?)
                          *gamma(line?,mu2?)*gamma(line?,mu0?index_)=
 4*d_(mu1,mu2)+[D-4]*gamma(line,mu1)*gamma(line,mu2);

id gamma(line?,mu0?index_)*gamma(line?,mu1?)
                          *gamma(line?,mu2?)
                          *gamma(line?,mu3?)*gamma(line?,mu0?index_)=
 (2-[D-4])*gamma(line,mu1)*gamma(line,mu2)*gamma(line,mu3)
 -4*gamma(line,mu1)*d_(mu2,mu3)
 +4*gamma(line,mu2)*d_(mu1,mu3) 
 -4*gamma(line,mu3)*d_(mu1,mu2);

endrepeat;

#endprocedure
*$Id: chisholm.prc,v 1.3 2004/10/08 14:28:11 alorca Exp $
