#procedure simplihelp(N,r)

* This file is part of aITALC
* Copyright (C) 2004 Alejandro Lorca <alejandro.lorca@desy.de>
*------------------------------------------------------------- 
** It helps simplifygrams to run sequentially from the highest power of one variable
** 5 times (no harm will do it for more, but I didn't see such higher powers.)

** Number of run: `r'
  $process={`r'};
** Next take into acount the number of terms to be processed
  $counterterms{`r'}=$counterterms{`r'} + 1;
*  Print "At process%$, we have %$ terms", $process, $counterterms{`r'};
  sort;
** Next is the no of terms in previous running 
  $limitcounterbefore=$counterterms{`r'-1};

** Next if decides whether we are happy with the simplification since there are less terms
** or we should recover because we generated more.
  if ($counterterms`r' > $limitcounterbefore);
* We recover the old expression if more terms than originally were generated
*   Print "we recover";
   #if `N' == 2
    id [Gram2]=1/2*(+2*($var1*$var2+$var2*$var3+$var3*$var1)-($var1^2+$var2^2+$var3^2));
   #elseif `N' == 3
    id [Gram3]=1/2*(-$var6^2*$var5
     + $var6*(-$var5^2 + $var5*($var1+$var2+$var3+$var4) +($var4-$var3)*($var2-$var1) )
     + $var5*($var2-$var3)*($var4-$var1) + $var1*$var2*($var3+$var4) + $var3*$var4*($var1+$var2)
     - $var1*$var3*($var1+$var3) - $var2*$var4*($var2+$var4) );
   #else 
    #message [simplihelp: Range(Gram Determinants)=`N' > 3 not implemented]
    exit;
   #endif
  elseif ($counterterms`r' == $limitcounterbefore);
*   Print "we generate now (%$) as many terms as before (%$)",$counterterms`r',$limitcounterbefore;
   id [Gram`N']*IGram(`N',?b)=dummy(0);
  else;
*   Print "simplification of Gram`N' or recovering";
   id [Gram`N']*IGram(`N',?b)=dummy(0);
  endif;
  sort;

#endprocedure

*$Id: simplihelp.prc,v 1.4 2004/10/08 14:28:12 alorca Exp $
