#procedure introducemom()
* This file is part of aITALC
* Copyright (C) 2004 Alejandro Lorca <alejandro.lorca@desy.de>
*------------------------------------------------------------- 
** Procedure to introduce the difference or sum of momenta that
** belong to the same spinor chain, in order to apply Gordon id.


** First we identify the external momentum with its spinor 
*-------- FROM joinalternativemm -------------
*#do ch={`fermioncurrentsnames'}
* #do ic=1,`EXTFERMICURRENTS'
*  id Mom(`ch',`ic',a1?,be11?)= `absep`IFFO`ch'`ic'''(be11) +a1*(`absep`IFFI`ch'`ic'''(be11));
* #enddo
*#enddo
*-------- end joinalternativemm --------------

*#do ch={`fermioncurrentsnames'}

#do ic1=1,`EXTFERMICURRENTS'
 #do ic2=1,`EXTFERMICURRENTS'
  id `absep`IFFO`FERMIONCHANNEL'`ic1'''(mu1?Al`ic2'[a1]) = 1/2*(Mom(`ic1',+1,al`ic2'[a1])+Mom(`ic1',-1,al`ic2'[a1]));
  id `absep`IFFI`FERMIONCHANNEL'`ic1'''(mu1?Al`ic2'[a1]) = 1/2*(Mom(`ic1',+1,al`ic2'[a1])-Mom(`ic1',-1,al`ic2'[a1]));
 #enddo
  #message [introducemom: The substituted momenta should be `absep`IFFO`FERMIONCHANNEL'`ic1''' and `absep`IFFI`FERMIONCHANNEL'`ic1''']
#enddo

#endprocedure
*$Id*
