C File <den.f> containing the function den(a,b) = 1/(a-b) as propagator
C This file is part of aITALC
C Copyright (C) 2004 Alejandro Lorca <alejandro.lorca@desy.de>

      double precision function den(a,b)
      implicit none
      double precision a,b
      
      if (a.NE.b) then
        den = 1d0/(a-b)
      else
        print *,'den.f: propagator on exact resonance, den(',a,b,')'
        stop
      endif

      return
      end
CC $Id: den.f,v 1.4 2004/10/07 15:05:11 alorca Exp $
